\newpage

\subsection{Service 19: Event-Action}

\begin{description}
	\item[Objective]\hfill\\
	
	This service provides the capability to define on-board action which will be autonomously executed after the occurrence of a specific on-board event. The events and the corresponding actions are defined in a list of event-action definitions which can be maintained from ground. An action is a TC which is released at the occurrence of the event.\\
	\newline
	As a difference to 'Service 5' the \textit{Event Definition ID} (ED ID) fields defined in messages of ST[19] have a size of 13 Bit. \textbf{Therefore the filler is not used. The maximum value of the ED ID is 8191 (decimal)}, same as for 'Service 5'.
	\item[Service Summary]\hfill\\
	
	\begin{table}[h]
		\centering
		\begin{tabular}{p{0.1\textwidth}p{0.2\textwidth}p{0.6\textwidth}}
			\toprule
			\textbf{TM/TC} & \textbf{Service-Type, Service Subtype} & \textbf{Description}\\
			\midrule
			\rowcolor{TcHeader!20}TC & 19,1 & Add event-action definitions\\
			\rowcolor{TcHeader!20}TC & 19,2 & Delete event-action definitions\\
			\rowcolor{TcHeader!20}TC & 19,3 & Delete all event-action definitions\\
			\rowcolor{TcHeader!20}TC & 19,4 & Enable event-action definitions\\
			\rowcolor{TcHeader!20}TC & 19,5 & Disable event-action definitions\\
			\rowcolor{TcHeader!20}TC & 19,6 & Report the status of each event-action definition\\
			\rowcolor{TmHeader!20}TM & 19,7 & Event-action status report\\
			\rowcolor{TcHeader!20}TC & 19,8 & Enable the event-action function\\
			\rowcolor{TcHeader!20}TC & 19,9 & Disable the event-action function\\
			\rowcolor{TcHeader!20}TC & 19,10 & Report event-action definitions\\
			\rowcolor{TmHeader!20}TM & 19,11 & Event-action definition report\\
			\bottomrule
		\end{tabular}
		\caption{Service 19 Summary}
	\end{table}
	
\end{description}


% ------------------------------------------------------------------------------
% TC 19,1
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,1} & \textbf{Add event-action definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request adds a variable number of event definitions.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 1 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor {TcHeader} ED System ID} & \cellcolor{TcHeader}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|--|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{\cellcolor{TcHeader} N} & APID & ED ID & \multirow{-2}{*}{\cellcolor{TcHeader} Request}\\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned\newline Integer & Enum & Enum & TC packet\\
			\hline
			\rowcolor{TcBody}
			8 Bits & 11 Bits & 13 Bits & $n\cdot8$ Bits\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(19,1)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions to add. The maximum value is 12.\\
		& \\
		\textbf{ED System ID}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID: &PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
		& \\
		\textbf{Request}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=12 &PFC=1\end{tabular} & The action consisting of the request to release when the event report is detected. The size of this field is $n\cdot8\  Bit$. The maximum size of the complete request (including header and checksum) is 232 Byte.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Remarks:]\hfill\\
	\newline
	If the request contained in the action fails any of the verification checks (Service 1) the application data field becomes invalid.
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,2
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,2} & \textbf{Delete event-action definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes a variable number of event definitions. 
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 2 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} ED System ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & APID & ED ID \\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 11 Bit & 13 Bit \\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(19,2)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions to delete. The maximum value is 71.\\
		& \\
		\textbf{ED System ID}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID: &PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,3
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,3} & \textbf{Delete all event-action definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request deletes all event definitions. 
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 3 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,4
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,4} & \textbf{Enable event-action definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request enables a variable number of event definitions. Only if the event definition is enabled the corresponding TC gets released if the associated event occurs.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 4 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} ED System ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & APID & ED ID \\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 11 Bit & 13 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(19,4)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions to enable. The maximum value is 71.\\
		& \\
		\textbf{ED System ID}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID: &PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,5
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,5} & \textbf{Disable event-action definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This request disables a variable number of event definitions. If the event definition is disabled the event-action will not be executed.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 5 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} ED System ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & APID & ED ID \\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 11 Bit & 13 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(19,5)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions to disable. The maximum value is 71.\\
		& \\
		\textbf{ED System ID}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID: &PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,6
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,6} & \textbf{Report the status of each event-action definition}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about the status of each event definition. The answer for this request is TM(19,7).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 6 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 19,7
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{19,7} & \textbf{Event-action status report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the current status to each event definition.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 7 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|p{0.175\textwidth}|}
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{2}{c|}{\cellcolor {TmHeader!85} ED System ID} & \cellcolor{TmHeader!85}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|--|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{\cellcolor{TmHeader!85} N} & APID & ED ID & \multirow{-2}{*}{\cellcolor{TmHeader!85} \parbox{0.175\textwidth} {Event-Action Status}}\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned\newline Integer & Enum & Enum & Enum\\
			\hline
			\rowcolor{TmBody}
			8 Bit & 11 Bit & 13 Bit & 8 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{3}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Source Data TC(19,7)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions to add. The maximum value is 54.\\
		& \\
		\textbf{ED System ID}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID: &PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
		& \\
		\textbf{Event-Action Status}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=2 &PFC=8\end{tabular} & The current status of the associated event definition. Possible values are:\newline0 - disabled\newline1 - enabled\\
	\end{longtable}
	\addtocounter{table}{-1}
	
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,8
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,8} & \textbf{Enable the event-action function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC enables the complete functionality of the event-action service. Only if the event-action function is globally enabled event-actions will be executed at the occurrence of their associated events.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 8 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,9
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,9} & \textbf{Disable the event-action function}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC disables the complete functionality of the event-action service. No event-actions are executed, if the event-action function is globally disabled.
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 9 \\
		&\\
		Application Data & The application data field shall be omitted.\\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\item[Parameter Definitions:]\hfill\\
	\newline
	This TC does not include any parameters.
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TC 19,10
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TC} & \textbf{19,10} & \textbf{Report event-action definitions}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TC requests a report about a variable number of addressed event definitions. The answer for this request is TM(19,11).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 10 \\
		&\\
		Application Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		\begin{tabular}{|p{0.23\textwidth}|p{0.23\textwidth}|p{0.23\textwidth}|}
			\hline
			\cellcolor{TcHeader} & \multicolumn{2}{c|}{\cellcolor{TcHeader} ED System ID}\\
			\hhline{|>{\arrayrulecolor{TcHeader}}->{\arrayrulecolor{black}}|--|}
			\rowcolor{TcHeader}
			\multirow{-2}{*}{N} & APID & ED ID \\
			\hline
			\hline
			\rowcolor{TcBody}
			Unsigned Integer & Enum & Enum\\
			\hline
			\rowcolor{TcBody}
			8 Bit & 11 Bit & 13 Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{2}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Application Data TC(19,10)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions to report about. The maximum value is 71.\\
		& \\
		\textbf{ED System ID}\newline \begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID: &PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill


% ------------------------------------------------------------------------------
% TM 19,11
% ------------------------------------------------------------------------------
\newpage
\begin{table}[h]
	\begin{tabular}{|p{0.15\textwidth}|p{0.15\textwidth}|p{0.6\textwidth}|}
		\hline
		\textbf{TM} & \textbf{19,11} & \textbf{Event-action definition report}\\
		\hline
	\end{tabular}
\end{table}

\begin{description}
	\item[Function and Description:]\hfill\\
	\newline
	This TM reports the status and the corresponding request for each addressed event definition. The generation of this TC is initiated by receiving TC(19,10).
	\item[Structure:]\hfill\\
	\begin{longtable}{p{0.2\textwidth} p{0.6\textwidth}}
		APID & \\
		&\\
		Service Type & 19 \\
		
		Service Subtype & 11 \\
		&\\
		Source Data & \\
	\end{longtable}
	\addtocounter{table}{-1}
	
	\setlength\arrayrulewidth{1pt}
	\begin{table}[h]
		\centering
		
		\begin{tabular}{|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|p{0.14\textwidth}|}
			\hline
			\cellcolor{TmHeader!85} & \multicolumn{2}{c|}{\cellcolor{TmHeader!85} ED System ID} & \cellcolor{TmHeader!85} & \cellcolor{TmHeader!85}\\
			\hhline{|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|--|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|>{\arrayrulecolor{TmHeader!85}}->{\arrayrulecolor{black}}|}
			\rowcolor{TmHeader!85}
			\multirow{-2}{*}{N} & APID & ED ID & \multirow{-2}{*}{\parbox{0.14\textwidth}{Event-Action Status}} & \multirow{-2}{*}{Request}\\
			\hline
			\hline
			\rowcolor{TmBody}
			Unsigned Integer & Enum & Enum & Enum & TC Packet\\
			\hline
			\rowcolor{TmBody}
			8 Bit & 11 Bit & 13 Bit & 8 Bit &$n\cdot8$ Bit\\
			\hline
			\multicolumn{1}{c}{} & \multicolumn{4}{|c|}{$\leftarrow$ Repeated N times $\rightarrow$} 
		\end{tabular}\\\vspace{10pt}
		Source Data TC(19,11)
	\end{table}
	
	\item[Parameter Definitions:]\hfill\\
	\begin{longtable}{p{0.3\textwidth} p{0.5\textwidth}}
		\textbf{N}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=3 &PFC=4\end{tabular} & The number of following event definitions. The maximum value is 11.\\
		& \\
		\textbf{ED System ID}\newline\begin{tabular}{p{1.2cm}p{1.2cm}p{1cm}} APID:& PTC=2& PFC=11\\ ED ID:&PTC=2 &PFC=13\end{tabular} & The system identifier of the event definition. It consists of the APID of the process that hosts the related event reporting subservice and the \textit{Event Definition ID}.\\
		& \\
		\textbf{Event-Action Status}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=2 &PFC=8\end{tabular} & The current status of the associated event definition. Possible values are:\newline0 - "disabled"\newline1 - "enabled"\\
		& \\
		\textbf{Request}\newline \begin{tabular}{p{1.2cm}p{1cm}}PTC=12 &PFC=1\end{tabular} & The TC which should be released if the event associated with the event definition occurs. The size of this field is $n\cdot8\  Bit$. The maximum size of the complete request (including header and checksum) is 232 Byte.\\
	\end{longtable}
	\addtocounter{table}{-1}
\end{description}

\vfill
